Astra H Android™ CAN Service - po6nema nponssogutenbHocTn #255

BCData.java line 824 [Crashlytics]
07/15/2019 07:32 PM - Fabric.io C.

Status: Hoeas Start date:

Priority: HopmanbHbliii Due date:

Assignee: % Done: 0%

Category: [Func] Board Computer Estimated time: 0.00 hour

Target version: Backlog

Umsa, mopennb ASUS Nexus 7 (2012) Mpowmeka: Crok

yCTpOMncTBa:

Bepcust OS Android: 6.0.1 E-mail pna o6patHomn
CBA3N:

Root: No

Description

Crashlytics detected a new issue.
BCData.java line 824 in @@

This issue is affecting at least 1 user who has crashed at least 1 time.
More information:

https://fabric.io/droidoncar/android/apps/com.roher.carservice/issues/e1070fd7620b12258d179cad0adbcede?utm_medium=service_
hooks-redmine&utm_source=issue_impact

Stacktrace:

Fatal Exception: java.lang.OutOfMemoryError: Failed to allocate a 268 byte allocation with 160776
free bytes and 157KB until OOM; failed due to fragmentation (required continguous free 32768 bytes
for a new buffer where largest contiguous free 0 bytes)

at java.util.HashMap.makeTable + 551 (HashMap.java:551)

at java.util.HashMap. (HashMap. java:158)

at java.util.HashMap. (HashMap. java:195)

at android.app.SharedPreferencesImpl$EditorImpl.commitToMemory + 402 (SharedPreferencesImpl.
java:402)

at android.app.SharedPreferencesImpl$EditorImpl.apply + 362 (SharedPreferencesImpl. java:362)

at com.roher.carservice.cardata.BCData.saveDatalInternal + 824 (BCData.java:824)

at com.roher.carservice.cardata.BCData.saveData + 571 (BCData.java:571)

at com.roher.carservice.cardata.BCData.updateTripTime + 980 (BCData.java:980)

at com.roher.carservice.cardata.BCData.access$100 + 19 (BCData.java:19)

at com.roher.carservice.cardata.BCDataSEverySecondTask.run + 1238 (BCData.java:1238)

at java.util.Timer$TimerImpl.run + 284 (Timer.java:284)

History

#1 - 07/29/2019 05:40 PM - Victor K.

- Tracker changed from Owwnbka to Mpobnema npon3BoaNTENLHOCTU

- Category set to [Func] Board Computer

- Target version set to Backlog

- WImsa, mogens yctpovictea changed from Any device to ASUS Nexus 7 (2012)
- Bepcus OS Android changed from Any version to 6.0.1

#2 - 07/29/2019 05:41 PM - Victor K.
- Description updated
